API referenceLeads in campaigns
POST
/campaigns/{id}/leads/{leadId}/retry

JavaScript SDK: swarmhit.campaigns.leads.retry(campaignId, leadId)

Re-queues a lead for the executor, clearing its error and wait. Meant for a failed or stuck lead: the status is not checked, so any lead is put back in the queue.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Path Parameters

id*string
leadId*string

The lead's id.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/campaigns/string/leads/string/retry"
{  "data": {    "campaignId": "string",    "leadId": "string",    "senderId": "string",    "linkedinAccountId": "string",    "emailAccountId": "string",    "emailProvider": "google",    "whatsappAccountId": "string",    "status": "pending",    "stage": "pending",    "firstName": "string",    "lastName": "string",    "headline": "string",    "company": "string",    "picture": "string",    "profileUrl": "string",    "publicIdentifier": "string",    "email": "string",    "openProfile": true,    "customVariables": {      "property1": "string",      "property2": "string"    },    "label": "interested",    "labelBy": "manual",    "labelAt": "2019-08-24T14:15:22Z",    "interest": "interested",    "interestBy": "manual",    "currentStepId": "string",    "waitUntil": "2019-08-24T14:15:22Z",    "waitReason": "company_limit",    "pausedReason": "user",    "heldBy": {      "campaignId": "string",      "campaignName": "string",      "senderName": "string"    },    "invitationSentAt": "2019-08-24T14:15:22Z",    "invitationAccepted": true,    "invitationAcceptedAt": "2019-08-24T14:15:22Z",    "invitationWithdrawnAt": "2019-08-24T14:15:22Z",    "invitationSentWithoutNote": true,    "messageSentAt": "2019-08-24T14:15:22Z",    "lastReplyAt": "2019-08-24T14:15:22Z",    "emailOpenedAt": "2019-08-24T14:15:22Z",    "emailClickedAt": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z",    "error": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}